# $Revision: 1.38 $, $Date: 2005/01/09 18:47:00 $

%define		src_name	diacanvas2

Summary:	Library for easely creating diagrams
Summary(pl):	Biblioteka do prostego tworzenia diagramw
Name:		diacanvas
Version:	0.14.2
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/diacanvas/%{src_name}-%{version}.tar.gz
# Source0-md5:	bd78fff277279abb003bb271baef3788
Patch0:		%{name}-no_check.patch
Patch1:		%{name}-text-stroke.patch
URL:		http://diacanvas.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
# for canvas.defs
BuildRequires:	python-gnome-devel >= 2.0.0
BuildRequires:	python-pygtk-devel >= 1:2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pydefsdir	%(pkg-config --variable=defsdir pygtk-2.0)

%description
Library for easy diagrams creation.

%description -l pl
Biblioteka do prostego tworzenia diagramw.

%package devel
Summary:	Diacanvas header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja biblioteki Diacanvas
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Diacanvas header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja biblioteki Diacanvas.

%package static
Summary:	Diacanvas static libraries
Summary(pl):	Biblioteki statyczne Diacanvas
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Diacanvas static libraries.

%description static -l pl
Biblioteki statyczne Diacanvas.

%package -n python-%{name}
Summary:	Diacanvas Python bindings
Summary(pl):	Wizania jzyka Python do biblioteki Diacanvas
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs
Requires:	python-pygtk-gtk >= 1.99.16

%description -n python-%{name}
Diacanvas Python bindings.

%description -n python-%{name} -l pl
Wizania jzyka Python do biblioteki Diacanvas.

%package -n python-%{name}-devel
Summary:	Diacanvas Python bindings development files
Summary(pl):	Pliki dla programistw wiza jzyka Python do biblioteki Diacanvas
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}-devel
Diacanvas Python bindings development files.

%description -n python-%{name}-devel -l pl
Pliki dla programistw wiza jzyka Python do biblioteki Diacanvas.

%prep
%setup -q -n %{src_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
glib-gettextize -f
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	--enable-gnome-print \
	--enable-python \
	--with-html-dir=%{_gtkdocdir}

%{__make} \
	pythondir=%{py_sitedir} \
	pyexecdir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir} \
	pyexecdir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO NEWS AUTHORS
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/diacanvas
%{_gtkdocdir}/%{src_name}
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py[co]

%files -n python-%{name}-devel
%defattr(644,root,root,755)
%{pydefsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: diacanvas.spec,v $
Revision 1.38  2005/01/09 18:47:00  saq
- missing pyreqeq, rel 3

Revision 1.37  2004/11/14 21:47:31  havner
- rel up for rebuild with python-pygtk

Revision 1.36  2004/11/09 10:50:44  qboosh
- BR: pkgconfig

Revision 1.35  2004/11/09 10:34:29  paladine
- updated to 0.14.2

Revision 1.34  2004/11/02 10:22:22  paladine
- updated to 0.14.1
- removed func patch (fixed in sources)

Revision 1.33  2004/10/25 16:36:48  wrobell
- s/__FUNCTION__/__func__

Revision 1.32  2004/10/25 11:24:13  wrobell
- ver. 0.14.0

Revision 1.31  2004/08/27 23:21:56  undefine
- release 2

Revision 1.30  2004/08/27 22:56:15  undefine
- update to 0.13.1

Revision 1.29  2004/08/19 15:38:02  averne
- rel++

Revision 1.28  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.27  2004/06/14 06:17:32  wrobell
- ver. 0.13.0

Revision 1.26  2004/05/13 19:58:21  qboosh
- pass pythondir,pyexecdir (fixes build on amd64)

Revision 1.25  2004/04/30 17:38:03  wrobell
- ver. 0.12.0

Revision 1.24  2004/02/23 10:18:06  qboosh
- fixed build with proper gtkdocdir, updated BRs; release 2

Revision 1.23  2004/02/23 09:26:16  wrobell
- fuck... what to say more? :-\

Revision 1.22  2004/02/23 09:17:25  wrobell
- fixed file list (gtk-doc should be owned by other package)

Revision 1.21  2004/02/22 00:59:18  qboosh
- cleanups, added ldconfig

Revision 1.20  2003/11/04 13:02:34  wrobell
- removed check for gnome canvas module which requires X environment
  running; the module is installed due to python-gnome-devel dependency so
  the check is not necessary at all
- rel. 2

Revision 1.19  2003/11/03 07:22:30  wrobell
- ver. 0.10.0

Revision 1.18  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/07/25 09:25:34  wrobell
- rel. 3 to build with python 2.3 /nest/

Revision 1.16  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.15  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.14  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.13  2003/06/11 06:10:40  wrobell
- added python patch to detect python 2.3
- rel. 2
- fixed python module install requirements

Revision 1.12  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:46:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/04 08:24:37  trojan
- updated to 0.9.2

Revision 1.9  2003/03/15 08:47:41  migo
- fix in en description

Revision 1.8  2003/02/16 17:21:13  wrobell
- ver. 0.9.1

Revision 1.7  2003/02/04 11:45:29  wrobell
- ver. 0.9.0

Revision 1.6  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.5  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/07 10:44:00  qboosh
- BR: autoconf,automake,libtool

Revision 1.3  2002/09/24 11:03:09  wrobell
- diacanvas2 is reincarnation of diacanvas, so it obsoletes old projects;
  let's back to normal name

Revision 1.1  2002/09/23 07:58:05  wrobell
- based on template
